TOP RTM CRASHER: /usr/bin/trust-stored-skeleton:6:__gnu_cxx::__verbose_terminate_handler:__cxxabiv1::__terminate:std::terminate:__cxxabiv1::__cxa_rethrow:__shared_count

Bug #1356468 reported by errors.ubuntu.com bug bridge on 2014-08-13
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
location-service (Ubuntu)
Undecided
Unassigned
location-service (Ubuntu RTM)
High
Loïc Minier
trust-store (Ubuntu)
High
Loïc Minier

Bug Description

The Ubuntu Error Tracker has been receiving reports about a problem regarding trust-store. This problem was most recently seen with version 1.0.0+14.10.20140807-0ubuntu1, the problem page at https://errors.ubuntu.com/problem/009a6dd4d6c0da7571b0283d16f4cdf40c9d3da5 contains more details.

Related branches

tags: added: qa-daily-testing qasoak rtm14
Changed in trust-store (Ubuntu):
status: New → Confirmed
importance: Undecided → Critical
Changed in trust-store (Ubuntu):
assignee: nobody → Thomas Voß (thomas-voss)
status: Confirmed → In Progress
Changed in trust-store (Ubuntu):
assignee: Thomas Voß (thomas-voss) → Loïc Minier (lool)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package location-service - 2.1+14.10.20140915-0ubuntu1

---------------
location-service (2.1+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ Loïc Minier ]
  * Update upstart job start conditions; workaround startup issue with a
    sleep. (LP: #1356468)

  [ thomas-voss ]
  * Somewhat clean up remote provider and add an acceptance-style test.
 -- Ubuntu daily release <email address hidden> Mon, 15 Sep 2014 20:02:59 +0000

Changed in location-service (Ubuntu):
status: New → Fix Released
Changed in trust-store (Ubuntu):
status: In Progress → Fix Released
Chris Gagnon (chris.gagnon) wrote :

This is the top crasher in the RTM image, please make sure the fix gets pushed there.

Changed in location-service (Ubuntu RTM):
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Loïc Minier (lool)
summary: - /usr/bin/trust-stored-
+ TOP RTM CRASHER: /usr/bin/trust-stored-
skeleton:6:__gnu_cxx::__verbose_terminate_handler:__cxxabiv1::__terminate:std::terminate:__cxxabiv1::__cxa_rethrow:__shared_count
Thomas Voß (thomas-voss) wrote :

If this abort() arises during long-running tests, I would appreciate a pointer to further information that will allow us to reproduce the issue. I haven't seen it in quite some time and thus have difficulties testing for it.

Chris Gagnon (chris.gagnon) wrote :

I looked over the last 40+ reports on errors.ubuntu.com and none of them are from the long running tests.

I'll try to see if I had any failures in the long running tests to get additional log files on what is happening when this is reported.

Chris Gagnon (chris.gagnon) wrote :

I was able to reproduce this here:
https://errors.ubuntu.com/oops/a6ba3716-4a4e-11e4-ad52-fa163e78b027

1. open system settings
2. select security and privacy
3. select location access
4. toggle location access off and on a few times
5. enable the location access in the indicator
5. open the camera app

expected result:
location allow deny dialog opens in camera app

actual result:
no dialog opened, trust store crash file in /var/crash

Chris Gagnon (chris.gagnon) wrote :

I had this happen again https://errors.ubuntu.com/oops/3150eb42-4a52-11e4-bdbf-fa163e4ccdf2

This time I just flashed the device
ubuntu-device-flash --password=1234 --bootstrap --developer-mode --device=krillin --channel=ubuntu-touch/ubuntu-rtm/14.09-proposed

went through the welcome wizard without wifi and when I checked /var/crash the crash file was there.

The camera app did not display the location allow deny dialog like it should have when I opened it.

Chris Gagnon (chris.gagnon) wrote :

This is the top crasher for the 20141002 rootfs on errors.u.c again. https://errors.ubuntu.com/?rootfs_build_version=Ubuntu%2014.10:20141002&period=day&pkg_arch=armhf

Chris Gagnon (chris.gagnon) wrote :

I was able to reproduce this on the krillin

steps:
1. flash device with --bootstrap
2. open facebook photo scope
3. use network indicator to connect to wifi

https://errors.ubuntu.com/oops/0a753536-4b16-11e4-ac36-fa163e525ba7

current build number: 80
device name: krillin
channel: ubuntu-touch/ubuntu-rtm/14.09-proposed
last update: 2014-10-03 14:46:48
version version: 80
version ubuntu: 20141003
version device: 20141002-d5938d7
version custom: 1412208099

tags: added: krillin mako
Changed in location-service (Ubuntu):
status: Fix Released → Confirmed
Changed in trust-store (Ubuntu):
status: Fix Released → Confirmed
Chris Gagnon (chris.gagnon) wrote :

I've marked this as confirmed again because it didn't fix the issue.

Loïc Minier (lool) on 2014-10-15
Changed in trust-store (Ubuntu):
importance: Critical → High
Changed in location-service (Ubuntu RTM):
importance: Critical → High
Loïc Minier (lool) wrote :

Crashes have dried down completely

Changed in location-service (Ubuntu RTM):
status: Confirmed → Invalid
Changed in trust-store (Ubuntu):
status: Confirmed → Invalid
Changed in location-service (Ubuntu RTM):
status: Invalid → Incomplete
Changed in trust-store (Ubuntu):
status: Invalid → Incomplete
Loïc Minier (lool) on 2014-10-15
Changed in location-service (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for location-service (Ubuntu) because there has been no activity for 60 days.]

Changed in location-service (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers